/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package edu.uoc.tfc.exuoc.config;
import java.util.List;
import java.util.Arrays;

/**
 *Classe que conté les constants que es fan servir al programa
 * @author Emili a. Moreno
 */


//TODO:15-11-2011:Emili: Caldria generar un arxiu de propietats a on hi fossin
// totes les constants aqui assignades, d'aquesta forma no caldria compilar cada
// cop que es volgués canviar un valor
public final class Config {
 private static String _cami="/var/lib/tomcat6/webapps/exuoc";

 private static final String _servidor="/srv/diposit";
 public static final String rutaLogConfig=Config._cami
         .concat("/WEB-INF/classes/exuoc.log.properties");
 public static final String rutaLog=("/tmp/exuoc.log");
 
 public static final String rutaFitxersTemp=Config._cami.concat("/temp");
 public static final String rutaFitxers=Config._cami.concat("/fitxers");
 public static final String rutaFitxersTMP=Config._servidor.concat("/tmp");

  public static final List<String> llistaTipus =
         Arrays.asList("application/zip","application/gzip","application/rar","application/7z");
 
 //variabla per limitar la sessió a 20minuts = 60*20
 public static final int LIMITSESSIO=1200;

 public static final int nUltimsItems=3;
 public static final String ORDRE="asc";
 public static final String ORDRE_INVERS="desc";

 //Valors per realitzar paginacions d'objectes als jsps
 private static final int OBJECTES_PAGE=7;
 public static final int CONTENIDOR_PAGE=OBJECTES_PAGE;
 public static final int USUARI_PAGE=OBJECTES_PAGE-1;
 public static final int ITEM_PAGE=5;

 //TODO:14-11-2011:Emili: Obtenir cada una de les següents constants de la base de dades
 public static final long ADIMINISTRADOR=1;
 public static final long GESTOR=2;
 public static final long ANONIM=3;
 public static final long AUTENTICAT=4;


  public static final Long   valorNull=-1L;
  public static final int    valorNullInt=-1;
  public static final String valorNullStr="buit";
  
  public static final String CORRECTE="correcte";
  public static final String JSP_DC="editar_dc";
  public static final String JSP_ARXIU="editar_arxiu";

  public static final String FORMAT_DATA="dd/MM/yyyy";
  public static final String ODBC_EXUOC="jdbc:postgresql://localhost/exuoc";
  public static final String SGBD_DRIVER="org.postgresql.Driver";
  public static final String EXUOC_USUARI="exuocadmin";
  public static final String EXUOC_PPAS="exuoc1234";
  


    private Config() {
    }

}
