/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package edu.uoc.tfc.exuoc.controladors;

import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;

/**
 *  classe que s'encarrega dels logs
 * @author Emili A. Moreno
 */

public class GestorLogs {
    
    
    private  Log log = LogFactory.getLog(GestorLogs.class);
    
 
    private GestorLogs() {
        
        log=LogFactory.getLog(this.getClass());
    }
    private GestorLogs(String classe){
        
        log=LogFactory.getLog(classe);
       
    }


    public static GestorLogs getRootLog(){
        return new GestorLogs();
    };
    public static GestorLogs getLogger(String nomClasse){
        return new GestorLogs(nomClasse);
    };

 
    public void info(String cadena) {
        log.info(cadena);
    }public void info(String cadena,String argument) {
        log.info(cadena+":"+argument);
    }
    public void error(String text){
        log.error(text);
    }
    public void error(String text, String argument){
        log.error(text+":"+argument);
    }
    public void error(String text, int argument){
        log.error(text+":"+argument);
    }
    public void error(String text, Long argument){
        log.error(text+":"+argument);
    }
    public void error(String text, String[] arguments){
        log.error(text+":"+arguments);
    }
    public void error(String text, Throwable t){
        log.error(text+":",t);
    }

    //Accions de control
    public void debug(String cadena) {
        log.debug(cadena);
    }public void debug(String cadena,String argument) {
        log.debug(cadena+": "+argument);
    }

}



