/*
 * Defineix l'estructura qu eha de tenir una classe de control de logs
 * @author Emili A. Moreno
 */

package edu.uoc.tfc.exuoc.controladors;

import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;

import org.apache.log4j.Level;
//import org.apache.log4j.Logger;
//import org.apache.log4j.PropertyConfigurator;

import java.io.IOException;
import java.net.URL;
import edu.uoc.tfc.exuoc.config.Config;
/**
 *
 * @author Apache Foundation
 *
 */
public abstract interface InterfaceGestorLogs {
    
   
     static Log log = LogFactory.getLog(InterfaceGestorLogs.class);
    

    
    

    public  InterfaceGestorLogs getRootLog();
    public InterfaceGestorLogs getLogger(String nomClasse);
    
    public void info(String cadena) ;
    public void info(String cadena,String argument) ;
    
    public void error(String text);
    public void error(String text, String argument);
    
    public void error(String text, int argument);
    
    public void error(String text, Long argument);
    public void error(String text, String[] arguments);
    public void error(String text, Throwable t);

    //Accions de control
    public void debug(String cadena) ;
    public void debug(String cadena,String argument) ;
    

}



