/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package edu.uoc.tfc.exuoc.errors;

import edu.uoc.tfc.exuoc.controladors.GestorLogs ;

/**
 *
 * @author emoreno
 */
public class LogicException extends Exception {
    private String nomParam;
    private GestorLogs  log;

    public LogicException(String nomParam) {
        super("Construcció lògica incorrecta: '" + nomParam + "'");
        this.nomParam = nomParam;
        activarLog(this.getClass());
        log.error("Construcció lògica incorrecta:  '" + nomParam + "'");
    }
    public LogicException(String nomParam,Class classe) {
        super("Construcció lògica incorrecta:  '" + nomParam + "'");
        this.nomParam = nomParam;
        activarLog(classe);
        log.error("Construcció lògica incorrecta:  '" + nomParam + "'");
    }

    private void activarLog(Class classe){
        this.log=GestorLogs .getLogger(classe.getName());
    }

    public String getNomParam() {
        return nomParam;
    }
 }

