/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package edu.uoc.tfc.exuoc.errors;

import edu.uoc.tfc.exuoc.controladors.GestorLogs ;
/**
 *
 * @author emoreno
 */
public class NoExisteixException extends Exception {
    private String nomParam;
    private GestorLogs  log;

    public NoExisteixException(String nomParam) {
        super("El valor demanat no existeix: '" + nomParam + "'");
        this.nomParam = nomParam;
        activarLog(this.getClass());
        log.error("El valor demanat no existeix: '" + nomParam + "'");
    }
    public NoExisteixException(String nomParam,Class classe) {
        super("El valor demanat no existeix: '" + nomParam + "'");
        this.nomParam = nomParam;
        activarLog(classe);
        log.error("El valor demanat no existeix: '" + nomParam + "'");
    }

    private void activarLog(Class classe){
        this.log=GestorLogs .getLogger(classe.getName());
    }

    public String getNomParam() {
        return nomParam;
    }
 }

