<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<s:url id="entrarURL" namespace="/identificacio" action="login">
</s:url>
<s:url id="sortirURL" namespace="/identificacio" action="logout">
</s:url>
<s:url id="principalURL" namespace="/" action="principal" >
</s:url>

<%-- id de sessi --%>
<s:hidden name="idSessio" />

<div id="cap">
    <s:text name="exuoc.nom" /><br />
    <div id="subCap1">&nbsp;
        <s:if test="#session.isLogin!=true">
            <s:a  href="%{entrarURL}">
                <img class="thumbnailMini" style="width: 32px; height: 32px;"
                    alt="<s:text name="exuoc.auth.entrar"/>"
                    title="<s:text name="exuoc.auth.entrar"/>"
                src="http://${header.host}/exuoc/gifs/entrar.png" />
            </s:a>

        </s:if>
        <s:else>
            <s:a  href="%{sortirURL}">
                <img class="thumbnailMini" style="width: 32px; height: 32px;"
                    alt="<s:text name="exuoc.auth.sortir"/>"
                    title="<s:text name="exuoc.auth.sortir"/>"
                src="/exuoc/gifs/sortir.png" />
            </s:a>
        </s:else>
        <img alt="<s:text name="exuoc.separador"/>"
             src="/exuoc/gifs/separador.png" height="32" width="3" />&nbsp;
        <s:a href="%{principalURL}">
            <img alt="<s:text name="exuoc.auth.home" />"
                 src="/exuoc/gifs/home.png" height="32" width="32" />
        </s:a><br />
    </div>
</div>
<div id="subCap2">
    <table cellpadding="0" cellspacing="0"  width="100%">
        <tr >
            <td align="left"  >
                Usuari:
                <s:if test="#session.isLogin">
                    <s:property value="%{#session.usuari}"/>

                    <s:if test="#session.isAdmin">
                        (Administrador)
                    </s:if>
                    <s:elseif test="#session.isGestor">
                        (Gestor)
                    </s:elseif>
                </s:if>
                <s:else>Annim</s:else>
                <s:if test="idSessio!=''">
                      <font style="margin-left: 15px;">ID Sessi :
                            <s:property value="idSessio"/>
                    </font>
                </s:if>

            </td>
            <td align="center" >

                <s:url id="rutaActual"/>
                <s:url id="en" >
                    <s:param name="request_locale">en</s:param>
                </s:url>
                <s:url id="es" >
                    <s:param name="request_locale">es</s:param>
                </s:url>
                <s:url id="ca" >
                    <s:param name="request_locale">ca</s:param>
                </s:url>
                <s:if test="#request.locale.language=='en'" >
                    <s:a href="%{ca}" cssClass="link">Catalan</s:a>
                    <s:text name="exuoc.separador"/>
                   <s:a href="%{es}" cssClass="link">Spanish</s:a>
                </s:if>
                <s:elseif test="#request.locale.language=='es'" >
                    <s:a href="%{ca}" cssClass="link">Catalan</s:a>
                    <s:text name="exuoc.separador"/>
                   <s:a href="%{en}" cssClass="link">Ingls</s:a>
                </s:elseif>
                <s:else>
                    <s:a href="%{en}" cssClass="link">Angls</s:a>
                    <s:text name="exuoc.separador"/>
                   <s:a href="%{es}" cssClass="link">Espanyol</s:a>
                </s:else>



            </td>
            <td align="right">
                <s:bean name="java.util.Date" id="fecha" />
                <s:text name="exuoc.data" />:<s:property value="#fecha" />
            </td>
        </tr>
    </table>
</div>
    <%-- Dades  de la pgina en curs --%>
    <div id="contingut">

        <%-- Men de l'apliciaci --%>
        <jsp:include page="/WEB-INF/jspf/menuesquerre.jsp" flush="true"/>
        <big><big> <s:text name="exuoc.nom.pseudonim" /> </big></big>
        <br /><br />
        <s:debug/>
        <div style="position: relative; width: 728px; margin: auto;">
            <div style="position: absolute; top: -65px; left: 670px;
                        width: 128px; height: 128px;">
             <img alt="LogoExUOC" src="/exuoc/gifs/logoexuoc.png" align="middle"
                 height="128px" width="128px" title="<s:property value="privat"/>"/>
            </div>
        </div>
