<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;

    
<div id="principal">
    
    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>

    <big><big><big><s:text name="exuoc.ajuda.titolpagina" /></big></big></big>
    <br /><br />
    <big><i>
    
    <s:text name="exuoc.ajuda.titolpagina" />
    </i></big>
    <s:if test="actionMessages.size()>0">
                <s:actionmessage />
    </s:if>
    <br/>


    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    
    <s:if test="kb=='cerques'" >
        <s:text name="exuoc.ajuda.tipus.cerques"/><br/><br/>
        <s:include value="/jsp/ajuda/cerques.jsp"/>
    </s:if>
    <s:elseif test="kb=='contenidors'" >
        <s:text name="exuoc.ajuda.tipus.contenidor"/><br/><br/>
        <s:include value="/jsp/ajuda/contenidors.jsp"/>
    </s:elseif>
    <s:elseif test="kb=='items'" >
        <s:text name="exuoc.ajuda.tipus.item"/><br/><br/>
        <s:include value="/jsp/ajuda/items.jsp"/>
    </s:elseif>
    <s:else>
        <%-- <s:text name="exuoc.ajuda.titolpagina"/>--%>
        <br/><br/>
        <s:include value="/jsp/ajuda/exuoc.jsp"/>
    </s:else>


    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />
        
</div>
</body></html>