<%@ page contentType="text/html; charset=UTF-8" %>


<%@ taglib uri="/struts-tags" prefix="s" %>
<%@taglib  prefix="c"  uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            Autenticació
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;


<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <br />
    <big><big><big><i><s:text name="exuoc.auth.entrar" /></i></big></big></big>

        <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
        <s:if test="errorMessages.size()>0">
            <font class="error" >
                <s:actionerror />
           </font>
        </s:if>
    <br/>
<br/><br />

    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <font  id="subCap2"> <s:text  name="exuoc.auth.entradades"/><br /></font>
    <br />
    <s:form method="post" name="confirmar" namespace="/identificacio" action="loginForm" theme="css_xhtml">

        <s:textfield name="login"
                         label="%{getText('exuoc.auth.login')}"
                         maxLength="8" size="10" labelposition="top"
                         tabindex="1" disabled="#session.isLogin==true"/>
        <br />
        <s:password name="contrasenya"
                         label="%{getText('exuoc.auth.ppas')}"
                         maxLength="255" size="15" labelposition="top"
                         tabindex="2" disabled="#session.isLogin==true"/><br />

        <%-- <s:if test="#session.isLogin==true || #session.isLogin==''" > --%>
            <s:submit value="%{getText('exuoc.auth.enviar')}"
                      align="left" cssClass="BotoEnviar" />
            <s:reset value="%{getText('exuoc.auth.reset')}"
                     align="left" cssClass="BotoCancelar"/>
        <%-- </s:if>  --%>
    </s:form>

 <%-- Peu de la pàgina web --%>
 <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>