<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;



<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.cerques.titolpagina" /></big></big></big>
    <br /><br />

    <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
    <s:if test="errorMessages.size()>0">
        <font class="error" >
        <s:actionerror />
        </font>
    </s:if>

    <s:form method="post"  namespace="/cerques" name="cerques"
            action="per_cerca" theme="css_xhtml">

        <table><tr>
         
            <td><s:text name="exuoc.cerques.per"/></td>
            <td><s:select    cssClass="thAmplada"name="forma"
                         list="formesCerca"/></td>
            <td><s:textfield name="cerca" maxLength="255" size="30"
                         labelposition="left" tabindex="1"
                         title="%{getText('exuoc.cerques.items.cerca')}"
                         onFocus="this.select()"/></td>
        </tr></table>

        <table align="right" width="400" bgcolor="#dddddd">
            <tr><td><s:submit   value="%{getText('exuoc.cerques.enviar')}"
                    cssClass="BotoEnviar" align="right"/></td>
            <td><s:reset    value="Reset" label="%{getText('exuoc.cerques.borrar')}"
                    cssClass="BotoCancelar"  align="left"/></td></tr>
        </table>
    </s:form><br/>
        <big><i><s:text name="exuoc.cerques.items.llista" /></i></big>
    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>

    <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <div style="position: relative; float: right; width: 250px; height: 25px;
             " class="FilaParell"
         align="left">
        <s:url id="afegirItemURL"  namespace="/items" action="afegir_Items"/>
        <s:form method="get" namespace="/items" name="afegir" action="afegir_Items"
                theme="css_xhtml">
            <table  border="0" cellpadding="0" cellspacing="0"><tr>
                <td><s:select name="idContenidorActual" list="llistaCon"
                          listKey="id" listValue="nom"  /></td>
                <td><s:submit type="image"  src="/exuoc/gifs/add.png"
                          
                          title="%{getText('exuoc.cerques.items.afegir')}"
                          cssClass="BotoADD" /></td>
            </tr></table>
        </s:form>
        </div><br/><br/>
    </s:if>
    <s:url id="anteriorURL" action="per_cerca" namespace="/cerques">
        <s:param name="pos">
            <s:if test="pos==0">${quants-itemsPerPagina}
            </s:if>
            <s:elseif test="pos - itemsPerPagina >0" >
                        ${pos - itemsPerPagina}
            </s:elseif>
            <s:else >0</s:else>
        </s:param>
        <s:param name="cerca">
            <s:if test="cerca!=cadenaNula">
                %{cerca}
            </s:if>
            <s:else>
                %{cadenaNula}
            </s:else>
        </s:param>
        <s:param name="forma">
            <s:if test="forma!=cadenaNula">
                %{forma}
            </s:if>
            <s:else>
                %{cadenaNula}
            </s:else>
        </s:param>
    </s:url>
        <s:url id="seguentURL" action="per_cerca" namespace="/cerques">
        <s:param name="pos">
            <s:if test="pos +itemsPerPagina  >= quants">0</s:if>
            <s:else>${pos+itemsPerPagina}</s:else>
        </s:param>
        <s:param name="cerca">
            <s:if test="cerca!=cadenaNula">
                %{cerca}
            </s:if>
            <s:else>
                %{cadenaNula}
            </s:else>
        </s:param>
        <s:param name="forma">
            <s:if test="forma!=cadenaNula">
                %{forma}
            </s:if>
            <s:else>
                %{cadenaNula}
            </s:else>
        </s:param>
        </s:url>
                <br/>
    <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= quants & pos >=0" >
            <s:text name="exuoc.cerques.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.cerques.mostrant.a"/>

            <s:if test=" pos +itemsPerPagina +1> quants">${quants}</s:if>
            <s:else>${pos + itemsPerPagina} </s:else>

            <s:text name="exuoc.cerques.mostrant.de"/> <s:property value="quants" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.cerques.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.cerques.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- llistat d'Items --%>
    <s:div>
        <s:div>
            <table summary="<s:text name='exuoc.item.consulta.titolpagina'/>"
                   align="center" border="1" cellpadding="3" cellspacing="3"
                   height="25" width="737">
                <tbody>
                    <tr class="FilaSenar">
                        <th class="thMinAmplada" id="t1" bgcolor="#ffcccc">
                            <s:text name="exuoc.cerques.items.datapublicacio"/>
                        </th>
                        <th class="thAmplada" id="t2" bgcolor="#ffcccc">
                            <s:text name="exuoc.cerques.items.titol"/>
                        </th>
                        <th class="thMinAmplada" id="t3" bgcolor="#ffcccc">
                            <s:text name="exuoc.cerques.items.autor"/>
                        </th>
                        <th class="thMinAmplada" id="t4" bgcolor="#ffcccc">
                            <s:text name="exuoc.cerques.items.nombreconsultes"/>
                        </th>
                        <th class="thMinAmplada" id="t5" bgcolor="#ffcccc">
                            <s:text name="exuoc.cerques.items.public"/>
                            </th>
                        <s:if test="#session.isGestor==true || #session.isAdmin==true">
                        <th class="thMinAmplada" id="t6" bgcolor="#ffcccc">
                            <s:text name="exuoc.cerques.accions"/></th>
                        </s:if>
                    </tr>

                <%-- S'inclou la plantilla que conté el llistat d'ítems --%>
                <s:include value="/WEB-INF/jspf/Frame_llistatItems.jsp"/>
                </tbody>
            </table>
        </s:div>
    </s:div>
        <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= quants & pos >=0" >
            <s:text name="exuoc.cerques.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.cerques.mostrant.a"/>

            <s:if test=" pos +itemsPerPagina +1> quants">${quants}</s:if>
            <s:else>${pos + itemsPerPagina} </s:else>

            <s:text name="exuoc.cerques.mostrant.de"/> <s:property value="quants" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.cerques.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.cerques.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>