<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;




<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.contenidors.consulta.coleccio" />:
                <i><b><s:property value="nom" /></b></i></big></big></big>
    <br /><br />
    <big><i> <s:text name="exuoc.contenidors.consulta.llistaitems" />
    </i></big>
    <s:if test="actionMessages.size()>0">
                <s:actionmessage />
    </s:if>
    <br/>


    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <div style="position: relative; float: right; width: 200px; height: 25px; 
             " class="FilaParell"
         align="left">
        <s:url id="afegirItemURL"  namespace="/items" action="afegir_Items">
            <s:param name="idContenidorActual" value="%{idContenidorActual}"/>
        </s:url>
        <s:a    cssClass="link" href="%{afegirItemURL}"><img
                alt="<s:text name="exuoc.contenidors.consulta.item.afegir"/>"
             src="/exuoc/gifs/add.png"  height="25" width="25" align="middle"
             title="<s:text name='exuoc.contenidors.consulta.items.afegir'/>"/></s:a>
        </div><br/><br/>
    </s:if>
    <s:url id="anteriorURL" action="consulta_Contenidors" namespace="/contenidors">
        <s:param name="pos">
            <s:if test="pos==0">${nItems-itemsPerPagina}</s:if>
            <s:elseif test="pos - itemsPerPagina >0" >${pos - itemsPerPagina}</s:elseif>
            <s:else >0</s:else>
        </s:param>
        <s:param name="idContenidorActual">
            %{idContenidorActual}
        </s:param>
    </s:url>
        <s:url id="seguentURL" action="consulta_Contenidors" namespace="/contenidors">
        <s:param name="pos">
            <s:if test="pos +itemsPerPagina  >= nItems">0</s:if>
            <s:else>${pos+itemsPerPagina}</s:else>
        </s:param>
            <s:param name="idContenidorActual">
            %{idContenidorActual}
        </s:param>
    </s:url>

    <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= nItems & pos >=0" >
            <s:text name="exuoc.contenidors.consulta.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.contenidors.consulta.mostrant.a"/>

            <s:if test=" pos +itemsPerPagina +1> nItems">${nItems}</s:if>
            <s:else>${pos + itemsPerPagina} </s:else>

            <s:text name="exuoc.contenidors.consulta.mostrant.de"/> <s:property value="nItems" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.contenidors.consulta.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.contenidors.consulta.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- llistat d'Items --%>
    <s:div>
        <s:div>
            <table summary="<s:text name='exuoc.contenidors.consulta.items'/>"
                   align="center" border="1" cellpadding="3" cellspacing="3" height="25" width="737">
                <tbody>
                    <tr>
                        <th class="thMinAmplada" id="t1" bgcolor="#ffcccc">
                            <s:text name="exuoc.contenidors.consulta.items.datapub"/></th>
                        <th class="thAmplada" id="t2" bgcolor="#ffcccc">
                            <s:text name="exuoc.contenidors.consulta.items.titol"/></th>
                        <th class="thMinAmplada" id="t3" bgcolor="#ffcccc">
                            <s:text name="exuoc.contenidors.consulta.items.autor"/></th>
                        <th class="thMinAmplada" id="t4" bgcolor="#ffcccc">
                            <s:text name="exuoc.contenidors.num"/></th>
                        <th class="thMinAmplada" id="t5" bgcolor="#ffcccc">
                            <s:text name="exuoc.contenidors.consulta.items.public"/></th>
                        <s:if test="#session.isGestor==true || #session.isAdmin==true">
                        <th class="thMinAmplada" id="t6" bgcolor="#ffcccc">
                            <s:text name="exuoc.contenidors.accions"/></th>
                        </s:if>
                    </tr>
                    
                <%-- S'inclou la plantilla que conté el llistat d'ítems --%>
                <s:include value="/WEB-INF/jspf/Frame_llistatItems.jsp"/>
                </tbody>
            </table>
        </s:div>
    </s:div>
     <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= nItems & pos >=0" >
            <s:text name="exuoc.contenidors.consulta.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.contenidors.consulta.mostrant.a"/>

            <s:if test=" pos +itemsPerPagina +1> nItems">${nItems}</s:if>
            <s:else>${pos + itemsPerPagina} </s:else>

            <s:text name="exuoc.contenidors.consulta.mostrant.de"/> <s:property value="nItems" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.contenidors.consulta.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.contenidors.consulta.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>