<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">

    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;


<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.contenidors.titolpagina" /></big></big></big>
    <br /><br />
    <big><i>
    
            <s:if test="idContenidorActual>0">
                <s:text name="exuoc.contenidors.modificar" />
            </s:if>
            <s:else>
                <s:text name="exuoc.contenidors.afegir" />
            </s:else>
    </i></big>
    <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
    <s:if test="errorMessages.size()>0">
        <font class="error" >
        <s:actionerror />
        </font>
    </s:if>
    <br/><br/>
    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <%-- És un gestor o administrador ? --%>
    <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <s:form method="post" namespace="/contenidors" name="Editar Contenidor"
                action="editarForm_Contenidors" theme="css_xhtml"
                style="background-color: #fcded4;">

            <s:if test="idContenidorActual>0">
                <s:hidden name="id" />
                <s:hidden name="dataPub" />
                <s:hidden name="idContenidorActual"/>
            </s:if>
            
            <s:textfield name="nom"
                         label="%{getText('exuoc.contenidors.afegir.nom')}"
                         maxLength="255" size="60" labelposition="top"
                         tabindex="1"/>
            <br/>
            <s:submit value="%{getText('exuoc.contenidors.afegir.enviar')}"
                      cssClass="BotoEnviar" align="left"/>
            <s:reset value="Reset" label="Borrar"
                      cssClass="BotoCancelar"  align="left"/>

        </s:form>


    </s:if>
    <s:else>
        <br/>
        <br/>
        
        <font class="error"> <s:text name="exuoc.contenidors.autenticacio.cal"/>
        </font>
    </s:else>

    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>