<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;




<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.item.consulta.titolpagina" /></big></big></big>
    <br /><br />

    <s:if test="actionMessages.size()>0">
                <s:actionmessage />
    </s:if>
    <br/>


    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
     <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <div style="position: relative; float: right; width: 200px; height: 25px;
             " class="FilaSenar"
         align="left">

            <img alt="<s:text name="exuoc.item.consulta.item.eliminar"/>"
                 title="<s:text name='exuoc.item.consulta.item.eliminar'/>"
                src="/exuoc/gifs/cancelDesactivat.png"  height="25" width="25" align="middle"/>

        <img  align="middle" alt="<s:text name="exuoc.separador"/>"
              src="/exuoc/gifs/separador.png" height="32" width="3" />


            <img alt="<s:text name="exuoc.contenidors.consulta.item.modificar"/>"
                 title="<s:text name='exuoc.item.consulta.item.modificar'/>"
             src="/exuoc/gifs/modificarDesactivat.png"  height="25" width="25" align="middle"/>

        </div><br/>
    </s:if>


    <i><s:text name="exuoc.item.consulta.item"/></i>:
    <big><b><small> <i><b>&nbsp;<s:property value="nom" /></b></i></small></b></big>
        <div align="right">
            <b><s:text name="exuoc.item.consulta.numitems"/></b>
                <s:property value="NItems"/><br/>
            <s:text name="exuoc.item.consulta.nombreconsultes" />
                <s:property value="visites"/>
</div>
<table height="256" width="700">
  <tbody>
    <tr class="FilaSenar">
        <td class="thMinAmplada" style=" width: 50px;" id="col1"><b>
                <s:text name="exuoc.item.consulta.titol"/></b></td>
      <td class="thAmplada" id="col2"><s:property value="nom" /></td>
    </tr>
    <tr class="FilaParell">
      <td  id="col1"><b><s:text name="exuoc.item.consulta.autor"/></b></td>
      <td  id="col2"><s:property value="autor" /></td>
    </tr>
      <tr class="FilaSenar">
      <td  id="col1"><b><s:text name="exuoc.item.consulta.contenidor"/></b></td>
      <td  id="col2"><s:url id="contenidorURL"  namespace="/contenidors" action="consulta_Contenidors">
            <s:param name="idContenidorActual" value="%{contenidor.id}"/>
        </s:url>
        <s:a cssClass="link" href="%{contenidorURL}">
            <s:property value="contenidor.nom" /></s:a>
      </td>
    </tr>
    <tr class="FilaParell">
        <td id="col1"><b><s:text name="exuoc.item.consulta.accespublic"/></b>
      </td>
        <td id="col2">
            <s:if test="privat==true">
                <s:text name="exuoc.item.consulta.privat"/>
            </s:if>
            <s:else>
                <s:text name="exuoc.item.consulta.public"/>
            </s:else>

          <br />
      </td>
    </tr>
    <tr class="FilaSenar">
      <td id="col1"><b><s:text name="exuoc.item.consulta.datapublicacio"/></b></td>
      <td id="col2"><s:property value="dataPub" /></td>
    </tr>
    <tr class="FilaParell">
      <td id="col1"><b><s:text name="exuoc.item.consulta.resum"/></b></td>
      <td id="col2"><s:property value="descripcio" /><br />
      </td>
    </tr>
    <tr class="FilaSenar">
      <td id="col1"><b><s:text name="exuoc.item.consulta.uri"/></b></td>
      <td id="col2">
          <s:url id="consultaURL"  action="consulta_Items"
                 forceAddSchemeHostAndPort="true">
                <s:param name="idItemActual">
                  %{idItemActual}
                </s:param>
            </s:url>
            <s:text name="consultaURL"/>
      </td>
    </tr>

  </tbody>
</table>
<br />

<%-- DADES DE L'ARXIU --%>
<s:text name="exuoc.item.consulta.arxiudades"/>:<br />
<table class="taulaArxiu"  width="700">
  <tbody>
    <tr class="FilaSenar">
      <th id="t1"><s:text name="exuoc.item.consulta.arxiu.nom"/></th>
      <th id="t2"><s:text name="exuoc.item.consulta.arxiu.mida"/></th>
      <th id="t3"><s:text name="exuoc.item.consulta.arxiu.tipus"/></th>
    </tr>
    <tr class="FilaParell">
        
      <td headers="t1">
          <s:if test="#session.isLogin!=true && privat==true">
               <s:text name="exuoc.item.consulta.arxiu.nodisponible"/>
          </s:if>
          <s:else>

 
<a href="http://<%=request.getServerName()%>:<%=request.getServerPort()%>/exuoc/fitxers/<s:property value="arxiu.nom" />" >
                    <s:property value="arxiu.nom" /></a>
          </s:else>

      </td>
      <td headers="t2" class="thumbnailMini" ><s:property value="arxiu.mida" />
      </td>
      <td headers="t3" class="thumbnailMini" ><s:property value="arxiu.tipus" />
      </td>
    </tr>
  </tbody>
</table>
<br />
        <%-- Peu de la pàgina web --%>
        <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>
  