<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">

    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;


<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.usuaris.titolpagina" /></big></big></big>
    <br /><br />
    <big><i>

            <s:if test="idUsuariActual>0">
                <s:text name="exuoc.usuaris.modificar" />
            </s:if>
            <s:else>
                <s:text name="exuoc.usuaris.afegir" />
            </s:else>
    </i></big>
    <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
    <s:if test="errorMessages.size()>0">
        <font class="error" >
        <s:actionerror />
        </font>
    </s:if>

    <%-- Ets Administrador ? --%>
<s:if test="#session.isAdmin==true">
    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <br/><br/>

    <%-- Edició de l'usuaris --%>
    <s:div>
        <s:form method="post"  namespace="/usuaris" name="Editar Usuari"
                    action="editarForm_Usuaris" theme="css_xhtml"
                    style="background-color: #fcded4;">

            <s:if test="idUsuariActual>0">
                <s:hidden name="idUsuariActual" />
                <s:hidden name="id" />
                <s:hidden name="contrasenya"/>
                <s:hidden name="dataalta"/>
                <s:hidden name="databaixa"/>
            </s:if>
            
        <table>

            <tr><td width="60px" valign="top">
                <img alt="Actiu:" src="/exuoc/gifs/AfegirUsuari.png"
                     align="middle" height="64" width="64" />
                </td>
                <td valign="top">
                    
            <s:checkbox name="actiu"  labelposition="left"
                        label="%{getText('exuoc.usuaris.editar.actiu')}"
                        tabindex="1"/>
            <br/><br/>

            <s:textfield  name="nom"
                         label="%{getText('exuoc.usuaris.editar.nom')}"
                         maxLength="30" size="10"  labelposition="left"
                         tabindex="2"  required="true" />
            <br/>
            <s:textfield name="cognoms"
                         label="%{getText('exuoc.usuaris.editar.cognoms')}"
                         maxLength="60" size="30" labelposition="left"
                         tabindex="3" />
            <br/>
            <s:textfield name="adress"
                         label="%{getText('exuoc.usuaris.editar.adressa')}"
                         maxLength="100" size="40" labelposition="left"
                         tabindex="4" />
            <br />
            <s:textfield name="naixament"
                         label="%{getText('exuoc.usuaris.editar.naixament')}"
                         maxLength="15" size="15" labelposition="left"
                         tabindex="5" />
            <br />
            
            <s:if test="idUsuariActual<0">
            <s:select name="grup.id" list="llistaGrups"
                      label="%{getText('exuoc.usuaris.editar.grup')}"
                      listKey="id" listValue="nom"   tabindex="6"/>
            </s:if>
            <s:else>
                <s:select name="grup.id" list="llistaGrups"
                      label="%{getText('exuoc.usuaris.editar.grup')}"
                      listKey="id" listValue="nom"   tabindex="6" disabled="true"/>
            </s:else>


            </td>
            <td valign="top">
            <s:textfield name="telf"
                         label="%{getText('exuoc.usuaris.editar.telf')}"
                         maxLength="20" size="10" labelposition="left"
                         tabindex="7" />
            <br/>
            <br/>
            <s:textfield name="email"
                         label="%{getText('exuoc.usuaris.editar.email')}"
                         maxLength="8" size="8" labelposition="left"
                         tabindex="8"  />
            <br />
            <br/>
            <s:if test="idUsuariActual<0">
            <s:textfield name="login"
                         label="%{getText('exuoc.usuaris.editar.login')}"
                         maxLength="8" size="8" labelposition="left"
                         tabindex="9"   required="true"/>
            </s:if>
            <s:else>
                <s:textfield name="login"
                         label="%{getText('exuoc.usuaris.editar.login')}"
                         maxLength="8" size="8" labelposition="left"
                         tabindex="9"   readonly="true"/>
            </s:else>
            <br />

            <s:if test="idUsuariActual<0">
                <s:password name="contrasenya"
                         label="%{getText('exuoc.usuaris.editar.ppas')}"
                         maxLength="32" size="16" labelposition="top"
                         tabindex="10"  required="true" />
                <s:password name="verificarcontrasenya"
                         label="%{getText('exuoc.usuaris.editar.vppas')}"
                         maxLength="32" size="16" labelposition="top"
                         tabindex="11"  required="true"/>
            </s:if>
            <br />
            <s:submit value="%{getText('exuoc.usuaris.editar.enviar')}"
                      labelposition="left"  cssClass="BotoEnviar" tabindex="12"/>
            <s:reset value="%{getText('exuoc.usuaris.editar.reset')}"
                     labelposition="left" cssClass="BotoCancelar" tabindex="13"/>
            </td>
            </tr>
        </table>

        </s:form>
        <br />
    </s:div>

</s:if>
<s:else>
    <br/>
    <br/>
    <font class="error" >
        <s:text   name="exuoc.seguretat.permis.denegat"/>
        <s:if test="errorMessages.size()>0">
            <s:actionerror />
        </s:if>
    </font>
</s:else>


    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />
</div>
</body></html>