<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">

    <head>
        <title>
            ExUOC
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;


<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.usuaris.titolpagina" /></big></big></big>
    <br /><br />
    <big><i>

    <s:text name="exuoc.usuaris.llista" />
    </i></big>
    <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
    <s:if test="errorMessages.size()>0">
        <font class="error" >
        <s:actionerror />
        </font>
    </s:if>

    
    <%-- Ets Administrador ? --%>
<s:if test="#session.isAdmin==true">
    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
        <div style="position: relative; float: right; width: 200px; height: 25px; background-color: rgb(225, 253, 228);"
         align="left">
        <s:url id="afegirUsuariURL"  namespace="/usuaris" action="afegir_Usuaris"/>
        <s:a    cssClass="link" href="%{afegirUsuariURL}">
            <img alt="<s:text name="exuoc.usuaris.afegir"/>"
                 title="<s:text name='exuoc.usuaris.afegir'/>"
                src="/exuoc/gifs/add.png"  height="25" width="25" align="middle"/></s:a>
    </div><br/><br/>

     <s:url id="anteriorURL" action="llistat_Usuaris" namespace="/usuaris" >
        <s:param name="pos">
            <s:if test="pos==0 && nUsuaris-usuarisPerPagina >0">${nUsuaris-usuarisPerPagina}</s:if>
            <s:elseif test="pos - usuarisPerPagina  >0" >${pos - usuarisPerPagina}</s:elseif>
            <s:else >0</s:else>
        </s:param>
    </s:url>
    <s:url id="seguentURL" action="llistat_Usuaris" namespace="/usuaris" >
        <s:param name="pos">
            <s:if test="pos +usuarisPerPagina >= nUsuaris">0</s:if>
            <s:else>${pos+usuarisPerPagina}</s:else>
        </s:param>
    </s:url>

    <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= nUsuaris & pos >=0" >
            <s:text name="exuoc.usuaris.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.usuaris.mostrant.a"/>

            <s:if test=" pos +usuarisPerPagina+1 > nUsuaris">${nUsuaris}</s:if>
            <s:else>${pos + usuarisPerPagina} </s:else>

            <s:text name="exuoc.usuaris.mostrant.de"/> <s:property value="nUsuaris" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.usuaris.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.usuaris.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- llista d'usuaris --%>
    <s:div>
        <%-- llista de usuarisPerPagina, usuaris --%>
        <table align="center" border="1" cellpadding="3" cellspacing="3" height="25" width="737">
            <tbody>
                <tr class="FilaParell">
                    <th class="thMicroAmplada" id="t1"><s:text name="exuoc.usuaris.id"/></th>
                    <th class="thMicroAmplada" id="t6"><s:text name="exuoc.usuaris.actiu"/></th>
                    <th class="thMedAmplada" id="t2"><s:text name="exuoc.usuaris.login"/></th>
                    <th class="thMinAmplada" id="t3"><s:text name="exuoc.usuaris.dataalta"/></th>
                    <th class="thAmplada"    id="t4"><s:text name="exuoc.usuaris.nomcomplet"/></th>
                    <th class="thMinAmplada" id="t5"><s:text name="exuoc.usuaris.grup"/></th>
                    <th class="thMinAmplada" id="t7"><s:text name="exuoc.usuaris.accions"/></th>
                </tr>
                  <%-- S'inclou la plantilla que conté el llistat d'Usuaris --%>
                    <s:include value="/WEB-INF/jspf/Frame_llistatUsuaris.jsp"/>
<%--           <s:iterator value="llistaUsu" status="llistaUsuarisStatus">
              <tr <s:if test="actiu!=true">
                      class="FilaEliminada"
                  </s:if>
                    <s:elseif test="#llistaUsuarisStatus.odd" >
                        class="FilaSenar"
                    </s:elseif>
                    <s:else>
                        class="FilaParell"
                    </s:else>>
                    <td ><s:property value="id"/></td>
                    <td >
                        <s:if test="actiu==true">
                            <img alt="Actiu:"
                                 src="/exuoc/gifs/AfegirUsuari.png" align="middle"
                                 height="30" width="30"
                                 title="<s:property value="actiu"/>"/>
                        </s:if>
                        <s:else>
                            <img alt="No Actiu:"
                                 src="/exuoc/gifs/DelUsuari.png" align="middle"
                                 height="30" width="30"
                                 title="<s:property value="actiu"/>"/>
                        </s:else>
                    </td>
                    <td>
                        <s:url id="usuariURL"  namespace="/usuaris" action="consulta_Usuaris">
                        <s:param name="idUsuariActual"><s:property value="id"/></s:param>
                        </s:url>

                        <s:if test="actiu!=true">
                            <s:a  cssClass="linkEliminat"  href="%{usuariURL}"><s:property value="login"/></s:a>
                        </s:if>
                        <s:else>
                            <s:a  cssClass="link"  href="%{usuariURL}"><s:property value="login"/></s:a>
                        </s:else>
                    </td>

                    <td ><s:property value="dataalta"/></td>

                    <td ><s:property value="nomComplet"/></td>
                    <td ><s:property value="grup"/></td>

                    <td>

                        <s:url id="modificarUsuariURL"  namespace="/usuaris"
                                   action="editar_Usuaris">
                                <s:param name="idUsuariActual" value="%{id}"/>

                        </s:url>
                        <s:a cssClass="link" href="%{modificarUsuariURL}">
                            <img alt="Modificar"
                                 src="/exuoc/gifs/modificar.png" align="middle"
                                 height="25" width="25"
                                 title="<s:text name='exuoc.usuaris.modificar'/>"/>

                        </s:a>
                            <s:url id="eliminarUsuariURL"  namespace="/usuaris"
                                   action="eliminar_Usuaris?idUsuariActual=%{id}"/>
                            <s:a cssClass="link" href="%{eliminarUsuariURL}">
                            <img alt="Eliminar"
                                 src="/exuoc/gifs/cancel.png" align="middle"
                                 height="25" width="25"
                                 title="<s:text name='exuoc.usuaris.eliminar'/>"/>
                            </s:a>

                    </td>

                </tr>
                </s:iterator>
--%>
            </tbody>
        </table>
    </s:div>
     <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= nUsuaris & pos >=0" >
            <s:text name="exuoc.usuaris.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.usuaris.mostrant.a"/>



            <s:if test=" pos +usuarisPerPagina+1 > nUsuaris">${nUsuaris}</s:if>
            <s:else>${pos + usuarisPerPagina} </s:else>

            <s:text name="exuoc.usuaris.mostrant.de"/> <s:property value="nUsuaris" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.usuaris.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.usuaris.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

</s:if>
<s:else>
    <br/>
    <br/>
    <font class="error" >
        <s:text   name="exuoc.seguretat.permis.denegat"/>
        <s:if test="errorMessages.size()>0">
            <s:actionerror />
        </s:if>
    </font>
</s:else>


    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />
</div>
</body></html>