<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>


<%-- Cal incloure les variables segents per poder fer servir aquesta plantilla
    llistaUsu            -- Llistat d'tems  Classe itemsLlistat
    session.isGestor    -- Variables de sessi pel control d'accs
    session.isAdmin
--%>


<s:iterator value="llistaUsu" status="llistaUsuarisStatus">
    <tr <s:if test="actiu!=true">
            class="FilaEliminada"
        </s:if>
        <s:elseif test="#llistaUsuarisStatus.odd" >
            class="FilaSenar"
        </s:elseif>
        <s:else>
            class="FilaParell"
        </s:else>>
    <td ><s:property value="id"/></td>
    <td >
        <s:if test="actiu==true">
            <img alt="Actiu:"
                src="/exuoc/gifs/AfegirUsuari.png" align="middle"
                height="30" width="30"
                title="<s:property value="actiu"/>"/>
        </s:if>
        <s:else>
            <img alt="No Actiu:"
                src="/exuoc/gifs/DelUsuari.png" align="middle"
                height="30" width="30"
                title="<s:property value="actiu"/>"/>
        </s:else>
    </td>
    <td>
        <s:url id="usuariURL"  namespace="/usuaris" action="consulta_Usuaris">
            <s:param name="idUsuariActual"><s:property value="id"/></s:param>
        </s:url>
        <s:if test="actiu!=true">
            <s:a  cssClass="linkEliminat" href="%{usuariURL}">
                <s:property value="login"/></s:a>
        </s:if>
        <s:else>
            <s:a  cssClass="link"  href="%{usuariURL}">
                <s:property value="login"/></s:a>
        </s:else>
    </td>
    <td ><s:property value="dataalta"/></td>
    <td ><s:property value="nomComplet"/></td>
    <td ><s:property value="grup"/></td>
    <td><s:url id="modificarUsuariURL"  namespace="/usuaris"
            action="editar_Usuaris">
            <s:param name="idUsuariActual" value="%{id}"/>
        </s:url>
        <s:a cssClass="link" href="%{modificarUsuariURL}">
            <img alt="Modificar"
                src="/exuoc/gifs/modificar.png" align="middle"
                height="25" width="25"
                title="<s:text name='exuoc.usuaris.modificar'/>"/>
        </s:a>
        <s:url id="eliminarUsuariURL"  namespace="/usuaris"
            action="eliminar_Usuaris?idUsuariActual=%{id}"/>
            <s:a cssClass="link" href="%{eliminarUsuariURL}">
                <img alt="Eliminar"
                    src="/exuoc/gifs/cancel.png" align="middle"
                    height="25" width="25"
                    title="<s:text name='exuoc.usuaris.eliminar'/>"/>
            </s:a>
    </td>
    </tr>
</s:iterator>