<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<div id="menu">

    <s:text name="exuoc.menu.esquerre"/><br />
            <ul>
                <li><s:url action="llistat_Contenidors" id="contenidorsURL"
                            namespace="/contenidors"/>
                    <s:a  cssClass="link" href="%{contenidorsURL}" >
                    <s:text name="exuoc.menu.esquerre.contenidors"/></s:a></li>
                <li><s:url action="llistat_Items" id="itemsURL" namespace="/items"/>
                    <s:a  cssClass="link" href="%{itemsURL}" >
                    <s:text name="exuoc.menu.esquerre.items"/></s:a></li>
                <li><s:url action="topten_Items" id="toptenURL" namespace="/items"/>
                    <s:a  cssClass="link" href="%{toptenURL}" >
                    <s:text name="exuoc.menu.esquerre.topten"/></s:a></li>
            </ul>
            <hr /><br />
            Cerca<br />
            <ul>
                <li>
                    <s:url action="per_contenidors" id="contenidorURL"
                           namespace="/cerques"/>
                    <s:a  cssClass="link" href="%{contenidorURL}" >
                    <s:text name="exuoc.menu.esquerre.cerca.contenidors"/></s:a>
                </li>
                <li>
                    <s:url id="perautorURL" action="per_cerca"
                           namespace="/cerques" >
                        <s:param name="forma">autor</s:param>
                    </s:url>
                    <s:a  cssClass="link" href="%{perautorURL}" >
                    <s:text name="exuoc.menu.esquerre.cerca.perautor"/></s:a>
                </li>
                <li>
                    <s:url action="per_cerca" id="perdataURL" namespace="/cerques">
                        <s:param name="forma">datapub</s:param>
                    </s:url>
                    <s:a  cssClass="link" href="%{perdataURL}" >
                    <s:text name="exuoc.menu.esquerre.cerca.perdata"/></s:a>
                </li>
                <li>
                    <s:url action="per_cerca" id="pernomURL" namespace="/cerques">
                        <s:param name="forma">nom</s:param>
                    </s:url>
                    <s:a  cssClass="link" href="%{pernomURL}" >
                    <s:text name="exuoc.menu.esquerre.cerca.pernom"/></s:a>
                </li>
                <li>
                    <s:url action="per_cerca" id="pertipusURL" namespace="/cerques">
                        <s:param name="forma">tipus</s:param>
                    </s:url>
                    <s:a  cssClass="link" href="%{pertipusURL}" >
                    <s:text name="exuoc.menu.esquerre.cerca.pertipus"/></s:a>
                </li>

            </ul>
            <hr /><br />
            <s:text name="exuoc.menu.esquerre.ajuda"/>
            <ul>
                <li><a class="link" href="/exuoc/ajuda/">
                        <s:text name="exuoc.menu.esquerre.ajuda"/></a></li>
                <li><a class="link" href="/exuoc/ajuda/?kb=cerques">
                        <s:text name="exuoc.menu.esquerre.ajuda.cerques"/></a></li>
                <li><a class="link" href="/exuoc/ajuda/?kb=contenidors">
                        <s:text name="exuoc.menu.esquerre.ajuda.contenidors"/></a></li>
                <li><a class="link" href="/exuoc/ajuda/?kb=items">
                        <s:text name="exuoc.menu.esquerre.ajuda.items"/></a></li>
            </ul>
            <hr />
    <div class="image" style="position: relative; width: 100%;">
        <img alt="LogoExUOC" src="/exuoc/gifs/logoexuoc.png" align="middle"
                 height="128px" width="128px" title="<s:property value="privat"/>"
                style="opacity:0.1; "/>
        <div style="position: absolute; top: 10px;  left: 0;  width: 100%">

            <s:if test="#session.isGestor==true || #session.isAdmin==true">
                <font class="gestio">
                    <s:text name="exuoc.menu.esquerre.admin"/></font><br />
                <ul>
                    <li><s:url action="llistat_Contenidors" 
                           id="llistatContenidorsURL" namespace="/contenidors">
                        </s:url><font class="gestioText">
                        <s:a  cssClass="link" href="%{llistatContenidorsURL}" >
                          <s:text name="exuoc.menu.esquerre.admin.contenidors"/>
                        </s:a></font>
                        </li>
                    <li><s:url action="llistat_Items" 
                           id="llistatItemsURL" namespace="/items">
                        </s:url><font class="gestioText">
                        <s:a  cssClass="link" href="%{llistatItemsURL}" >
                        <s:text name="exuoc.menu.esquerre.admin.items"/></s:a>
                        </font>
                    </li>

                    <s:if test="#session.isAdmin">
                    <li>
                        <s:url action="llistat_Usuaris" id="llistatUsuarisURL"
                               namespace="/usuaris">
                        </s:url><font class="gestioText">
                        <s:a  cssClass="link" href="%{llistatUsuarisURL}" >
                        <s:text name="exuoc.menu.esquerre.admin.usuaris"/></s:a>
                        </font>
                    </li>
                    </s:if>
                </ul>
            </s:if>
        </div>
    </div>
</div>
