<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
        

    </head>
<body>&nbsp;


<div id="principal">
    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
        <big><big><big>
            <s:if test="idItemActual>0">
                <s:text name="exuoc.item.modificar.titolpagina" />
            </s:if>
            <s:else>
                <s:text name="exuoc.item.afegir.titolpagina" />
            </s:else>
                </big></big></big>
        <br /><br />
        <big><i>
            <s:text name="exuoc.item.arxiu.dades" />
        </i></big><br />

        <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
        <s:if test="errorMessages.size()>0">
            <font class="error" >
            <s:actionerror />
            </font>
        </s:if>
        <br/>
        <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
        <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <s:form method="post"  namespace="/items" name="editarFormArxiu"
                action="editarForm_Items" theme="css_xhtml"
            enctype="multipart/form-data">

            <s:hidden name="nom"/>
            <s:hidden name="autor"/>
            <s:hidden name="descripcio"/>
            <s:hidden name="privat"/>
            <s:hidden name="idContenidorActual"/>
            <s:hidden name="dc"/>
            <s:hidden name="dcValor"/>

            <s:file name="arxiuDades" id="arxiuDades"
                label="%{getText('exuoc.item.arxiu.ruta')}" tabindex="1"
                size="45"  required="true"/>

        <table align="left"  width="390" bgcolor="#dddddd"><tr>
                <td><s:submit   value="%{getText('exuoc.item.arxiu.afegir')}"
                    cssClass="BotoEnviar" align="left"/></td>
            <td><s:reset    value="%{getText('exuoc.item.arxiu.netejar')}"
                    cssClass="BotoCancelar"  align="left"/></td></tr>
        </table>
    </s:form>
        </s:if>
        <s:else>
            <br/><br/>
            <font class="error" >
                <s:text   name="exuoc.seguretat.permis.denegat"/>
                <s:if test="errorMessages.size()>0">
                    <s:actionerror />
                </s:if>
            </font>
        </s:else>
        <%-- Peu de la pàgina web --%>
        <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>