<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;



<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.cerques.titolpagina" /></big></big></big>
    <br /><br />

    <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
    <s:if test="errorMessages.size()>0">
        <font class="error" >
        <s:actionerror />
        </font>
    </s:if>
    <br/>
    <s:form method="post"  namespace="/cerques" name="cerques"
            action="per_contenidors" theme="css_xhtml">

        <table align="right"  width="400" bgcolor="#dddddd"><tr>
                <td>
                            <s:textfield name="cerca"
                label="%{getText('exuoc.cerques.percontenidor')}"
                maxLength="255" size="40"  labelposition="left"
                onFocus="this.select()"
                tabindex="1"/>

                </td>
                <td><s:submit   value="%{getText('exuoc.cerques.enviar')}"
                    cssClass="BotoEnviar" align="left"/></td>
            <td><s:reset    value="Reset" label="%{getText('exuoc.cerques.borrar')}"
                    cssClass="BotoCancelar"  align="left"/></td></tr>
        </table>
    </s:form>

        <big><i><s:text name="exuoc.cerques.contenidors.llista" /></i></big>
    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
<!-- <div style="position: absolute; height: 51px; width: 135px; top: 168px; left: 309px;" align="right"> -->
<br/><br/>
<s:if test="#session.isGestor==true || #session.isAdmin==true">
        <div style="position: relative; float: right; width: 200px; height: 25px; background-color: rgb(225, 253, 228);"
         align="left">
        <s:url id="afegirContenidorURL"  namespace="/contenidors" action="afegir_Contenidors"/>
        <s:a    cssClass="link" href="%{afegirContenidorURL}">
            <img alt="<s:text name='exuoc.contenidors.afegir'/>"
                 title="<s:text name='exuoc.cerques.contenidors.afegir'/>"
             src="/exuoc/gifs/add.png"  height="25" width="25" align="middle"/></s:a>
    </div>
    </s:if>

<br/><br/>
    <s:url id="anteriorURL" action="per_contenidors" namespace="/cerques" >
        <s:param name="pos">
            <s:if test="pos==0">${quants-contenidorsPerPagina}
            </s:if>
            <s:elseif test="pos - contenidorsPerPagina  >0" >
                        ${pos - contenidorsPerPagina}
            </s:elseif>
            <s:else >0</s:else>
        </s:param>
        <s:param name="cerca">
            <s:if test="cerca!=cadenaNula">
                %{cerca}
            </s:if>
            <s:else>
                %{cadenaNula}
            </s:else>
        </s:param>
    </s:url>
    <s:url id="seguentURL" action="per_contenidors" namespace="/cerques" >
        <s:param name="pos">
            <s:if test="pos +contenidorsPerPagina >= quants">0</s:if>
            <s:else>${pos+contenidorsPerPagina}</s:else>
        </s:param>
        <s:param name="cerca">
            <s:if test="cerca!=cadenaNula">
                %{cerca}
            </s:if>
            <s:else>
                %{cadenaNula}
            </s:else>
        </s:param>

    </s:url>

    <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= quants & pos >=0" >
            <s:text name="exuoc.cerques.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.cerques.mostrant.a"/>

            <s:if test=" pos +contenidorsPerPagina+1 > quants">${quants}</s:if>
            <s:else>${pos + contenidorsPerPagina} </s:else>

            <s:text name="exuoc.cerques.mostrant.de"/> <s:property value="quants" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.cerques.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.cerques.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- llista de contenidors --%>
    <s:div>
        <%-- llista de contenidorsPerPagina, contenidors --%>
        <table align="center" border="1" cellpadding="3" cellspacing="3" height="25" width="737">
            <tbody>
                <tr class="FilaParell">
                    <th class="thMinAmplada" id="t1">
                        <s:text name="exuoc.cerques.contenidors.datapub"/></th>
                    <th class="thAmplada"    id="t2">
                        <s:text name="exuoc.cerques.contenidors.titol"/></th>
                    <th class="thMinAmplada" id="t3">
                        <s:text name="exuoc.cerques.contenidors.num"/></th>
                    <s:if test="#session.isGestor==true || #session.isAdmin==true">
                        <th class="thMinAmplada" id="t4">
                            <s:text name="exuoc.cerques.accions"/></th>
                    </s:if>
                </tr>
             <%-- S'inclou la plantilla que conté el llistat de contenidors --%>
                 <s:include value="/WEB-INF/jspf/Frame_llistatContenidors.jsp"/>

            </tbody>
        </table>

    </s:div>
     <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= quants & pos >=0" >
            <s:text name="exuoc.cerques.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.cerques.mostrant.a"/>

            <s:if test=" pos +contenidorsPerPagina+1 > quants">${quants}</s:if>
            <s:else>${pos + contenidorsPerPagina} </s:else>

            <s:text name="exuoc.cerques.mostrant.de"/> <s:property value="quants" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.cerques.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.cerques.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>


    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>