<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;


<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
        <big><big><big><s:text name="exuoc.item.afegir.titolpagina" /></big></big></big>
        <br /><br />
        <big><i>
         <s:if test="idItemActual>0">
                <s:text name="exuoc.item.modificar.titolpagina" />
            </s:if>
            <s:else>
                <s:text name="exuoc.item.afegir.titolpagina" />
            </s:else>
        </i></big><br />

        <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
        <s:if test="errorMessages.size()>0">
            <font class="error" >
            <s:actionerror />
            </font>
        </s:if>
        <br/>
        <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
        <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <s:form method="post"  namespace="/items" name="editarForm"
                action="editarDC_Items" theme="css_xhtml">

            <s:if test="idItemActual>0">
                <s:hidden name="idItemActual"/>
                <s:hidden name="id" />
                <s:hidden name="datapub" />
                <%-- <s:hidden name="item.versionNum" /> --%>
                <s:hidden name="item.arxiu"/>
                <s:hidden name="visites"/>
                <s:hidden name="item.contenidor"/>
                <s:text  name="exuoc.item.consulta.contenidor"/>:
                <s:text name="contenidor.nom"/>
                <br/>
                <div style=" position: relative ; color: olive; margin-bottom: 10px">
                <b><s:text name="exuoc.item.afegir.nomarxiu"/>: </b>
                ${arxiu.ubicacio}${arxiu.nom}
                <br/><b><s:text name="exuoc.item.afegir.tipus"/>: </b>
                ${arxiu.tipus}
                <br/><b><s:text name="exuoc.item.afegir.mida"/>: </b>
                ${arxiu.mida}KB
                </div>
            </s:if>
            <s:else>
                <s:if test="idContenidorActual>0">
                    <s:textfield name="idContenidorActual"
                         label="id.%{getText('exuoc.item.consulta.contenidor')}"
                         size="4" labelposition="left" readonly="true" />
                </s:if>
                <s:else>
                    <%-- ensenyem la llista de contenidors --%>
                <s:select name="contenidor.id" list="llistaContenidors"
                      label="%{getText('exuoc.item.afegir.contenidor')}"
                      listKey="id" listValue="nom" disabled="false"
                      labelposition="left" tabindex="1" onFocus="this.select()"/>
                </s:else>
            </s:else>
               
            <s:textfield name="nom"
                         label="%{getText('exuoc.item.afegir.titol')}"
                         maxLength="100" size="40" labelposition="left"
                         required="true" tabindex="2" onFocus="this.select()"/>

            <br/>
            <s:textfield name="autor" 
                      label="%{getText('exuoc.item.afegir.autor')}" tabindex="3"
                      labelposition="left" onFocus="this.select()"/>
            <br/>
            <s:textarea  name="descripcio" id="descripcio"
                         label="%{getText('exuoc.item.afegir.resum')}"
                         labelposition="top" cols="40" rows="4" tabindex="4"
                         onFocus="this.select()"/>
            <br />
            <s:checkbox name="privat"  labelposition="left"
                        label="%{getText('exuoc.item.afegir.privat')}"
                        tabindex="5" />
                        <br/>

            <s:submit value="%{getText('exuoc.item.afegir.seguent')}"
                      labelposition="left"  cssClass="BotoEnviar"/>
            <s:reset value="%{getText('exuoc.item.afegir.reset')}"
                     labelposition="left" cssClass="BotoCancelar"/>

        </s:form>
        </s:if>
        <s:else>
            <br/><br/>
            <font class="error" >
                <s:text   name="exuoc.seguretat.permis.denegat"/>
                <s:if test="errorMessages.size()>0">
                    <s:actionerror />
                </s:if>
            </font>
        </s:else>
        <%-- Peu de la pàgina web --%>
        <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>