<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;




<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.item.llista.titolpagina" />.
                </big></big></big>
    <br /><br />
    <big><i> <s:text name="exuoc.item.llista.llistaitems" />
    </i></big>
    <s:if test="actionMessages.size()>0">
                <s:actionmessage />
    </s:if>
    <br/>


    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <%-- IF per eliminar si no s'afegeix l'òpcio de triar contneidor en
        donar d'alta un ítem --%>
    <s:if test="#session.isGestor==true || #session.isAdmin==true">
        <div style="position: relative; float: right; width: 350px; height: 25px;"
              class="FilaParell"
         align="left">
        <s:url id="afegirItemURL"  namespace="/items" action="afegir_Items"/>
        <s:form method="get" namespace="/items" name="afegir_Items"
                action="afegir_Items" theme="css_xhtml">
        <table  border="0" cellpadding="0" cellspacing="0"><tr>
                <td><s:select name="idContenidorActual" list="llistaContenidors"
                          listKey="id" listValue="nom"  /></td>
                <td>
                    <s:submit type="image"
                        src="/exuoc/gifs/add.png"
                        value="%{getText('exuoc.item.afegir.titolpagina')}"
                        cssClass="BotoADD"
                        title="%{getText('exuoc.item.afegir.titolpagina')}" />
                </td>
            </tr></table>
        </s:form>
        </div><br/><br/>
    </s:if>

    <s:url id="anteriorURL" action="llistat_Items" namespace="/items">
        <s:param name="pos">
            <s:if test="pos==0">${nItems-itemsPerPagina}</s:if>
            <s:elseif test="pos - itemsPerPagina >0" >${pos - itemsPerPagina}</s:elseif>
            <s:else >0</s:else>
        </s:param>
    </s:url>
        <s:url id="seguentURL" action="llistat_Items" namespace="/items">
        <s:param name="pos">
            <s:if test="pos +itemsPerPagina  >= nItems">0</s:if>
            <s:else>${pos+itemsPerPagina}</s:else>
        </s:param>
        </s:url>

    <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= nItems & pos >=0" >
            <s:text name="exuoc.item.llista.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.item.llista.mostrant.a"/>

            <s:if test=" pos +itemsPerPagina +1> nItems">${nItems}</s:if>
            <s:else>${pos + itemsPerPagina} </s:else>

            <s:text name="exuoc.item.llista.mostrant.de"/> <s:property value="nItems" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.item.llista.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.item.llista.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- llistat d'Items --%>
    <s:div>
        <s:div>
            <table summary="<s:text name='exuoc.item.consulta.titolpagina'/>"
                   align="center" border="1" cellpadding="3" cellspacing="3" height="25" width="737">
                <tbody>
                    <tr>
                        <th class="thMinAmplada" id="t1" bgcolor="#ffcccc">
                            <s:text name="exuoc.item.consulta.datapublicacio"/></th>
                        <th class="thAmplada" id="t2" bgcolor="#ffcccc">
                            <s:text name="exuoc.item.consulta.titol"/></th>
                        <th class="thMinAmplada" id="t3" bgcolor="#ffcccc">
                            <s:text name="exuoc.item.consulta.autor"/></th>
                        <th class="thMinAmplada" id="t4" bgcolor="#ffcccc">
                            <s:text name="exuoc.item.consulta.nconsultes"/></th>
                        <th class="thMinAmplada" id="t5" bgcolor="#ffcccc">
                            <s:text name="exuoc.item.consulta.public"/></th>
                        <s:if test="#session.isGestor==true || #session.isAdmin==true">
                        <th class="thMinAmplada" id="t6" bgcolor="#ffcccc">
                            <s:text name="exuoc.item.consulta.accions"/></th>
                        </s:if>
                    </tr>
                <%-- S'inclou la plantilla que conté el llistat d'ítems --%>
                <s:include value="/WEB-INF/jspf/Frame_llistatItems.jsp"/>
                </tbody>
            </table>
        </s:div>
    </s:div>
    <s:div  cssClass="SeguentPagina">

        <s:if test="pos <= nItems & pos >=0" >
            <s:text name="exuoc.item.llista.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.item.llista.mostrant.a"/>

            <s:if test=" pos +itemsPerPagina +1> nItems">${nItems}</s:if>
            <s:else>${pos + itemsPerPagina} </s:else>

            <s:text name="exuoc.item.llista.mostrant.de"/> <s:property value="nItems" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.item.llista.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.item.llista.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />

</div>
</body></html>