<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">


    <head>
        <title>
            <s:text name="exuoc.nom.pseudonim"/>
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;

    
    <div id="principal" class="contingut" id="contingut">
    
    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>

    <big><big><big><s:text name="exuoc.principal.titolpagina" /></big></big></big>
    <br /><br />
    <big><i>
    
    <s:text name="exuoc.principal.contenidors.llista" />
    </i></big>
    <s:if test="actionMessages.size()>0">
                <s:actionmessage />
    </s:if>
    <br/>


    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <s:url id="anteriorURL" action="principal" namespace="/" >
        <s:param name="pos">
            <s:if test="pos==0">${nContenidors-contenidorsPerPagina}</s:if>
            <s:elseif test="pos - contenidorsPerPagina  >0" >${pos - contenidorsPerPagina}</s:elseif>
            <s:else >0</s:else>
        </s:param>
    </s:url>
    <s:url id="seguentURL" action="principal" namespace="/" >
        <s:param name="pos">
            <s:if test="pos +contenidorsPerPagina >= nContenidors">0</s:if>
            <s:else>${pos+contenidorsPerPagina}</s:else>
        </s:param>
    </s:url>

    <s:div  cssClass="SeguentPagina">
        <s:if test="pos <= nContenidors & pos >=0" >
            <s:text name="exuoc.principal.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.principal.mostrant.a"/>

            <s:if test=" pos +contenidorsPerPagina+1 > nContenidors">${nContenidors}</s:if>
            <s:else>${pos + contenidorsPerPagina} </s:else>

            <s:text name="exuoc.principal.mostrant.de"/> <s:property value="nContenidors" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.principal.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.principal.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

    <%-- llista de contenidors --%>
    <s:div>
        <table align="center" border="1" cellpadding="3" cellspacing="3"
               height="25" width="737">
            <tbody>
                <tr class="FilaParell">
                    <th class="thMinAmplada" id="t1">
                       <s:text name="exuoc.principal.contenidors.datapub"/></th>
                    <th class="thAmplada"    id="t2">
                       <s:text name="exuoc.principal.contenidors.titol"/></th>
                    <th class="thMinAmplada" id="t3">
                        <s:text name="exuoc.principal.contenidors.num"/></th>
                    <s:if test="#session.isGestor==true || #session.isAdmin==true">
                      <th class="thMinAmplada" id="t4">
                       <s:text name="exuoc.principal.contenidors.accions"/></th>
                    </s:if>
                </tr>
              <%-- S'nclou la plantilla que conté el llistat de contenidors --%>
                <s:include value="/WEB-INF/jspf/Frame_llistatContenidors.jsp"/>
                
            </tbody>
        </table>
    </s:div>
    <s:div  cssClass="SeguentPagina">
        <s:if test="pos <= nContenidors & pos >=0" >
            <s:text name="exuoc.principal.mostrant.resultats"/> ${pos+1}
            <s:text name="exuoc.principal.mostrant.a"/>

            <s:if test=" pos +contenidorsPerPagina+1 > nContenidors">
                ${nContenidors}</s:if>
            <s:else>${pos + contenidorsPerPagina} </s:else>

            <s:text name="exuoc.principal.mostrant.de"/>
            <s:property value="nContenidors" />
            <s:a  cssClass="link" href="%{anteriorURL}" >
                &lt; <s:text name="exuoc.principal.mostrant.anterior"/></s:a> |
            <s:a  cssClass="link" href="%{seguentURL}" >
            <s:text name="exuoc.principal.mostrant.seguent"/> &gt;</s:a>
        </s:if>
    </s:div>

        <%-- ULTIMS ITEMS --%>

    <s:div>
    <s:div  cssStyle="align:right;">
            <s:text name="exuoc.principal.items.total" />
            <s:property value="nItems" />
    </s:div>
    <s:text name="exuoc.principal.items.ultims"/>
    <s:div>
            <table summary="<s:text name='exuoc.principal.items.ultims'/>"
                   align="center" border="1" cellpadding="3" cellspacing="3"
                   height="25" width="737">
                <tbody>
                    <tr class="FilaCap">
                        <th class="thAmplada" id="t1" >
                            <s:text name="exuoc.principal.items.datapub"/></th>
                        <th aclass="thAmplada" id="t2" ">
                            <s:text name="exuoc.principal.items.titol"/></th>
                        <th class="thMinAmplada" id="t3" >
                            <s:text name="exuoc.principal.items.autor"/></th>
                        <th class="thMinAmplada" id="t4" >
                          <s:text name="exuoc.principal.items.contenidor"/></th>

                    </tr>
                     <s:iterator value="llistaItem"
                                 status="llistaUltimsItemsStatus">
                            <s:url id="itemURL"  namespace="items"
                                   action="consulta_Items">
                                <s:param name="idItemActual">
                                    <s:property value="id"/></s:param>
                            </s:url>
                    <tr <s:if test="#llistaUltimsItemsStatus.odd" >
                            class="FilaSenar"
                        </s:if>
                        <s:else>
                            class="FilaParell"
                        </s:else>
                        >
                        <td><s:property value="datapub"/><br /></td>
                        <td><s:a  cssClass="link" href="%{itemURL}">
                                <s:property value="nom"/></s:a></td>
                        <td><s:property value="autor"/></td>
                        <td><s:property value="nomContenidor"/></td>
                    </tr>
                    </s:iterator>
                </tbody>
            </table>
        </s:div>
    </s:div>
    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />
        
</div>
</body></html>