<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca_ES">

    <head>
        <title>
            ExUOC
        </title>

        <%-- Dades de la capçalera de la pàgina --%>
        <jsp:include page="/WEB-INF/jspf/metas.jsp"  flush="true" />
    </head>
<body>&nbsp;


<div id="principal">

    <%-- Capçalera del dipòsit --%>
    <jsp:include page="/WEB-INF/jspf/capsalera.jsp" flush="true"/>
    <big><big><big><s:text name="exuoc.usuaris.titolpagina" /></big></big></big>
    <br /><br />
    <big><i>
                <s:text name="exuoc.usuaris.consulta" />
    </i></big>
    <s:if test="actionMessages.size()>0">
            <s:actionmessage />
        </s:if>
    <s:if test="errorMessages.size()>0">
        <font class="error" >
        <s:actionerror />
        </font>
    </s:if>

    <%-- Ets Administrador ? --%>
<s:if test="#session.isAdmin==true">
    <%-- COMENÇAMENT DEL CONTINGUT DE LA PÀGINA --%>
    <br/><br/>

    <%-- Consulta de l'usuaris --%>
    <div style="position: relative; float: right; width: 200px; height: 25px; background-color: rgb(225, 253, 228);"
         align="left">
            <s:url id="modificarUsuariURL"  namespace="/usuaris"
                                   action="editar_Usuaris">
                                <s:param name="idUsuariActual" value="%{id}"/>
            </s:url>
            <s:a cssClass="link" href="%{modificarUsuariURL}">
                <img alt="Modificar"
                    src="/exuoc/gifs/modificar.png" align="middle"
                    height="25" width="25"
                    title="<s:text name='exuoc.usuaris.modificar'/>"/>
            </s:a>
            &nbsp;&nbsp;
                <s:url id="eliminarUsuariURL"  namespace="/usuaris"
                    action="eliminar_Usuaris?idUsuariActual=%{id}"/>
                    
                <s:a cssClass="link" href="%{eliminarUsuariURL}">
                <img alt="Eliminar"
                    src="/exuoc/gifs/cancel.png" align="middle"
                    height="25" width="25"
                    title="<s:text name='exuoc.usuaris.eliminar'/>"/>
                </s:a>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <s:url id="afegirUsuariURL"  namespace="/usuaris" action="afegir_Usuaris"/>
        <s:a    cssClass="link" href="%{afegirUsuariURL}">
            <img alt="<s:text name="exuoc.usuaris.afegir"/>"
                 title="<s:text name='exuoc.usuaris.afegir'/>"
                src="/exuoc/gifs/add.png"  height="25" width="25" align="middle"/></s:a>
    </div><br/><br/>
    <s:div>
        <s:form method="post"  namespace="/usuaris" name="Editar Usuari"
                    action="editarForm_Usuaris" theme="css_xhtml"
                    style="background-color: #fcded4;">
        <table >

            <tr><td width="80px" valign="top">
                <img alt="Actiu:" src="/exuoc/gifs/AfegirUsuari.png"
                     align="middle" height="64" width="64" />
                </td>
            <td>

            <s:textfield name="nom"
                         label="%{getText('exuoc.usuaris.editar.nom')}"
                         maxLength="30" size="10" labelposition="top"
                         tabindex="1"   readonly="true"/>
            <br/>
            <s:textfield name="adress"
                         label="%{getText('exuoc.usuaris.editar.adressa')}"
                         maxLength="100" size="40" labelposition="top"
                         tabindex="3" readonly="true"/>
            <br />
            <s:textfield name="naixament"
                         label="%{getText('exuoc.usuaris.editar.naixament')}"
                         maxLength="15" size="15" labelposition="top"
                         tabindex="5"   readonly="true" />
            <br />
            <s:textfield name="naixament"
                         label="%{getText('exuoc.usuaris.editar.naixament')}"
                         maxLength="15" size="15" labelposition="top"
                         tabindex="1"  readonly="true" />
            <br />

            <s:select name="grup.id" list="llistaGrups"
                      label="%{getText('exuoc.usuaris.editar.grup')}"
                          listKey="id" listValue="nom"  readonly="true" />

            </td>
            <td valign="top">
            <s:checkbox name="actiu"  labelposition="left"
                        label="%{getText('exuoc.usuaris.editar.actiu')}" 
                        readonly="true"/>
            <br/><br/>
            <s:textfield name="cognoms"
                         label="%{getText('exuoc.usuaris.editar.cognoms')}"
                         maxLength="60" size="30" labelposition="top"
                         tabindex="2"  readonly="true" />
            <br/>
            <s:textfield name="telf"
                         label="%{getText('exuoc.usuaris.editar.telf')}"
                         maxLength="20" size="10" labelposition="top"
                         tabindex="4"  readonly="true" />
            <br/>
            <br/>
            <s:textfield name="login"
                         label="%{getText('exuoc.usuaris.editar.login')}"
                         maxLength="8" size="8" labelposition="top"
                         tabindex="6"  readonly="true" />
            <br />
 
            </td>
            </tr>
        </table>

        </s:form>
        <br />
    </s:div>

</s:if>
<s:else>
    <br/>
    <br/>
    <font class="error" >
        <s:text   name="exuoc.seguretat.permis.denegat"/>
        <s:if test="errorMessages.size()>0">
            <s:actionerror />
        </s:if>
    </font>
</s:else>


    <%-- Peu de la pàgina web --%>
    <jsp:include page="/WEB-INF/jspf/peu.jsp"  />
</div>
</body></html>